% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/actions.R
\name{actions}
\alias{actions}
\alias{action_wait}
\title{List actions across all droplets.}
\usage{
actions(..., page = 1, per_page = 25)

action_wait(x)
}
\arguments{
\item{...}{Additional arguments passed down to low-level API function
(\code{do_*})}

\item{page}{Page to return. Default: 1.}

\item{per_page}{Number of results per page. Default: 25.}

\item{x}{Input object}
}
\description{
"Actions are records of events that have occurred on the resources in your
account. These can be things like rebooting a Droplet, or transferring an
image to a new region."
}
\details{
"An action object is created every time one of these actions is initiated.
The action object contains information about the current status of the
action, start and complete timestamps, and the associated resource type and
ID."

"Every action that creates an action object is available through this
endpoint. Completed actions are not removed from this list and are always
available for querying."
}
\examples{
\dontrun{
actions()
}
}
